Dps Certificate - Delete

Deletes the specified certificate associated with the Provisioning Service

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}?api-version=2026-08-31
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/certificates/{certificateName}?api-version=2026-08-31&certificate.name={certificate.name}&certificate.rawBytes={certificate.rawBytes}&certificate.isVerified={certificate.isVerified}&certificate.purpose={certificate.purpose}&certificate.created={certificate.created}&certificate.lastUpdated={certificate.lastUpdated}&certificate.hasPrivateKey={certificate.hasPrivateKey}&certificate.nonce={certificate.nonce}

URI Parameters

Name In Required Type Description
certificateName
path True

string

Name of the certificate to retrieve.

provisioningServiceName
path True

string

Name of the provisioning service to retrieve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

certificate.created
query

string (date-time)

Time the certificate is created.

certificate.hasPrivateKey
query

boolean

Indicates if the certificate contains a private key.

certificate.isVerified
query

boolean

Indicates if certificate has been verified by owner of the private key.

certificate.lastUpdated
query

string (date-time)

Certificate last updated time.

certificate.name
query

string

This is optional, and it is the Common Name of the certificate.

certificate.nonce
query

string

Random number generated to indicate Proof of Possession.

certificate.purpose
query

CertificatePurpose

A description that mentions the purpose of the certificate.

certificate.rawBytes
query

string (byte)

Raw data within the certificate.

Request Header

Name Required Type Description
If-Match True

string

ETag of the certificate

Responses

Name Type Description
200 OK

Resource deleted successfully.

204 No Content

Resource does not exist.

Other Status Codes

ErrorDetails

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

DPSDeleteCertificate

Sample request

DELETE https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService/certificates/cert?api-version=2026-08-31&certificate.name={certificate.name}&certificate.rawBytes={certificate.rawBytes}&certificate.isVerified={certificate.isVerified}&certificate.purpose={certificate.purpose}&certificate.created={certificate.created}&certificate.lastUpdated={certificate.lastUpdated}&certificate.hasPrivateKey={certificate.hasPrivateKey}&certificate.nonce={certificate.nonce}

Sample response

Definitions

Name Description
CertificatePurpose

A description that mentions the purpose of the certificate.

ErrorDetails

Error details.

CertificatePurpose

A description that mentions the purpose of the certificate.

Value Description
clientAuthentication
serverAuthentication

ErrorDetails

Error details.

Name Type Description
code

integer (int32)

The error code.

details

string

The error details.

httpStatusCode

string

The HTTP status code.

message

string

The error message.